%define _use_internal_dependency_generator 0

Summary: A Perl module implementing URI parsing and manipulation.
Name: perl-URI
Version: 1.21
Release: 7.XOS.1
License: distributable
Group: Applications/CPAN
Source0: URI-%{version}.tar.gz
Source1: filter-requires-perl-URI.sh
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/perl-URI-buildroot/
BuildRequires: perl >= 0:5.00503
BuildRequires: perl(MIME::Base64)
Requires: perl >= 0:5.00503
Provides: perl-URI
BuildArch: noarch

%description
This module implements the URI class. Objects of this class represent
"Uniform Resource Identifier references" as specified in RFC 2396 (and
updated by RFC 2732).

%define __find_requires %{SOURCE1}

%prep
%setup -q -n URI-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > URI-%{version}-filelist
if [ "$(cat URI-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f URI-%{version}-filelist
%defattr(-,root,root)
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/URI

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 1.21-7.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on perl-URI-1.21-7.src.rpm
  (md5sum of original source rpm: 065cedd9fd01981af5331fa27d3a940f).

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@localhost.localdomain>
- update to 1.21

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
